
%global meadversion 5.0.5
%global namedversion 5.0.5.Final-redhat-00002
%global meadalpha .Final_redhat_00002
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package hibernate-commons-annotations}
%{!?scl:%global pkg_name %{name}}

%define maven_version 5.0.5.Final-redhat-00002

Name:           %{?scl_prefix}hibernate-commons-annotations
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Hibernate Commons Annotations
Group:          Development/Java

%if %with mead
Source100: hibernate-commons-annotations-5.0.5.Final-redhat-00002-project-sources.tar.gz
Source102: hibernate-commons-annotations-5.0.5.Final-redhat-00002-sources.jar
Source103: hibernate-commons-annotations-5.0.5.Final-redhat-00002.jar
Source104: hibernate-commons-annotations-5.0.5.Final-redhat-00002-javadoc.jar
Source105: hibernate-commons-annotations-5.0.5.Final-redhat-00002.pom
%endif

License:        LGPLv2+
URL:            http://hibernate.org
# XXX: 3.3.0
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.2.1
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Common reflection code used in support of annotation processing.

%if %with javadoc
%package javadoc
Summary:        Javadoc for hibernate-commons-annotations
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n hibernate-commons-annotations-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/hibernate-commons-annotations-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-commons-annotations-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/hibernate-commons-annotations-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/hibernate-commons-annotations-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/hibernate-commons-annotations-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-commons-annotations-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/hibernate-commons-annotations-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/hibernate-commons-annotations-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/hibernate-commons-annotations-%{namedversion} -x META-INF/\*
%{__ln_s} hibernate-commons-annotations-%{namedversion} %{buildroot}%{_javadocdir}/hibernate-commons-annotations
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc changelog.txt lgpl.txt readme.txt
%{_javadir}/hibernate-commons-annotations-%{namedversion}.jar
%{_javadir}/hibernate-commons-annotations.jar
%if %with javadoc
%{_javadir}/hibernate-commons-annotations-%{namedversion}-javadoc.jar
%{_javadir}/hibernate-commons-annotations-javadoc.jar
%endif
%{_javadir}/hibernate-commons-annotations-%{namedversion}-sources.jar
%{_javadir}/hibernate-commons-annotations-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/hibernate-commons-annotations-%{namedversion}
%{_javadocdir}/hibernate-commons-annotations
%endif

%changelog
* Fri May 17 2019 Permaine Cheung <pcheung@redhat.com> - 5.0.5-1.Final_redhat_00002.1
- 5.0.5.Final_redhat_00002

* Tue Aug 28 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 5.0.4-1.Final_redhat_00001.1
- upgrade to 5.0.4.Final-redhat-00001

* Fri Jul 06 2018 Yong Yang <yyang@redhat.com> - 5.0.2-1.Final_redhat_2.1
-  5.0.2.Final-redhat-2 for eap 7.2.0

* Tue Oct 17 2017 Permaine Cheung <pcheung@redhat.com> - 5.0.1-3.Final_redhat_2.1
- Fix license (JBEAP-13468)

* Wed Mar 02 2016 Petr Sakar <psakar@redhat.com> - 5.0.1-2.Final_redhat_2.1
- upgrade to 5.0.1.Final-redhat-2

* Mon Dec 07 2015 Petr Sakar <psakar@redhat.com> - 5.0.1-1.Final_redhat_1.1
- Upgrade to 5.0.1.Final-redhat-1

* Tue Aug 11 2015 David Walluck <dwalluck@redhat.com> - 5.0.0-2.Final_redhat_2.1
- fix packaging

* Thu Jul 30 2015 David Walluck <dwalluck@redhat.com> - 5.0.0-1.Final_redhat_1.2
- release

